=================
Changes in 1.1.2
=================

Translation:
    * added: Latvian, Malayalam, Oriya, Marathi
     
    * updated: Spanish, Gujarati, Finnish, Dutch, French, Macedonian,
	Indonesian, Norwegian bokmål, Traditional Chinese (Hong Kong),
	Traditional Chinese (Taiwan), Basque, Dzongkha, Marathi, Oriya,
	Vietnamese, Hungarian, Korean, Japanese, German, Swedish, Malayalam,
	Latvian

=================
Changes in 1.1.1
=================

Magnifier:
    * when source changes, move UI to the new source.
Braille:
    * send text to brltty, this way it decides what to display
Translation:
    * added: Bengali India 
    * updated: Dzongkha, Bulgarian, Catalan, German, French, Finnish, Gujarati

=================
Changes in 1.1.0
=================

Speech:
    * added presentation for spread sheet cells and paragraphs
    * reworked presentation for combos    
    * shutup speech when a key is pressed
    * changed keyboard library
Magnifier:
    * changed presentation for paragraphs
    * zoomer boundaries clamped to screen boundaries
    * do not assume that source and target have same size    
Braille:
    * added French braille table    
    * added braille tty support
Translation:
    * added: Georgian, Dzongkha
    * updated: Albanian, Brazilian Portuguese, Czech, Catalan, Galician, 
		Vietnamese, Gujarati, French

=================
Changes in 1.0.3
=================

Help:
    * added Brazilian Portuguese.
Translation:
    * Updated Ukrainian, Portuguese, German, Russian, Hungarian, Greek, Welsh,
    Basque translations.

=================
Changes in 1.0.2
=================

Speech:
    * Report selection across paragraphs.
Magnifier:
    * Reduce the number of gnome-mag calls.
    * Start gnopernicus in the "source" screen if magnifier is on.
Navigation:
    * Improve the goto first/last navigation in flat review.
Translation:
    * Updated Serbian, Brazilian Portuguese, Vietnamese and Spanish
    translations.

=================
Changes in 1.0.1
=================

Translations:
    * Added Thai and Telugu languages.
    * Updated Spanish, Norwegian, Japanese, Vietnamese.

=================
Changes in 1.0.0
=================

General:
    * Improved reporting for treeview controls.
    * Gnopernicus now requires automake 1.8.
    * Added presentation for paragraphs.

=================
Changes in 0.12.0
=================

Braille:
    * Update to use last brltty version 3.7.
    * Map more commands from brltty to gnopernicus commands.
Translations:
    * Add Persion language.
    * Updated Kurdish, Vietnamese, Brazilian Portuguese, Basque translations.
UI:
    * Add icon to all windows.

=================
Changes in 0.11.6
=================

Translations:
    * Updated Catalan, Portuguese, Polish, Czech, Romanian, German, Japanese, 
      Hungarian, Bulgarian, Lithuanian, Norwegian, Albanian, Vietnamese,
      Canadian English, Spanish, Gujarati, Galician, Greek, Russian, Finnish, 
      Turkish, Welsh, Traditional Chinese, Norwegian, Hungarian, French and 
      Serbian translations.

=================
Changes in 0.11.5
=================

Braille:
    * The user can now specify the connection port manually.
    * The BRLTTY device will be present in the device list only 
      if brltty is present at compile time.
      
Translations:
    * Updated Catalan, Spanish, Gujarati, Canadian English, Greek, Vietnamese,
      Russian, Albanian, Hungarian, Ukrainian, Finnish, Lithuanian, Portuguese,
      Norwegian, German, Traditional Chinese, Japanese and Polish translations.

=================
Changes in 0.11.4
=================

Translations:
	* Updated Gujarati, Simplified Chinese, Polish, Norwegian, Vietnamese,
	  Canadian English, and Finnish translations.

=================
Changes in 0.11.3
=================

Braille:
    * Added support for BAUM PocketVario24 and BAUM SuperVario40.

Translations:
    * Added translation for punctuation signs.
    * Updated German, Norwegian, Traditional Chinese, Canadian English, Spanish,
      Vietnamese and Finnish translations.

=================
Changes in 0.11.2
=================

General:
    * Improved reporting of StarOfficeCalc cells when navigating through the spreadsheet;

Translations:
    * Updated Canadian English, Japanese, Greek, Welsh, Nepali, Czech, 
      Simplified Chinese, Bulgarian, Danish, French and German translations.

=================
Changes in 0.11.1
=================

Speech:
    * Report the active line in a table even if it is not selected.
    * Report the new state if a table line became selected or unselected.
    * Restart speech if it dies while initializing.

=================
Changes in 0.11.0
=================

Speech:
    * Improved reporting for tables.
    * Improved speech interrupt when switching between objects.

Magnifier:
    * Changed the presentation to magnifier: objects larger than or equal
	with desktop size are not presented to magnifier.

=================
Changes in 0.10.9
=================

Speech:
    * Restart speech in case of an error.

=================
Changes in 0.10.8
=================

Magnifier:
    * A script is now available to set/reset some common magnifier options.
      This script is 'gnopernicus-mag-config'.

Miscellaneous:
    * Improved reporting of the GDM login window when srcore is launched 
      with --login.
    * A new debug module is available. In order to use it gnopernicus
      needs to be configured with '--enable-debug' flag.
      
Translations:
    * Updated Hungarian, Canadian English and British English translations.

=================
Changes in 0.10.7
=================

Magnifier:
    * Settings for magnifier are now 'non-instant apply'.

Translations:
    * Added Indonesian.

=================
Changes in 0.10.6
=================

Translations:
    * Added Hungarian, Nepali, Kinyarwanda translations.

Speech:
    * An improved reporting of tables.

=================
Changes in 0.10.5
=================

Translations:
    * Updated Canadian English, Dutch, Italiantranslations.

Braille:
    * Change range from serial port (now 0-3) and add port "none".
    * set the default device to BRLTTY.

Magnifier:
    * Do not report any event if mouse is moving.

Speech:
    * Corrrect some bug present when a new voice is added, modified or deleted.
      Also check if the name contains invalid characters for gconf.
    * A better presentation for radio buttons.

=================
Changes in 0.10.4
=================

Translations:
    * Updated French, Polish, Serbian, Romanian, Greek, Catalan, Turkish, 
      and Bulgarian translations.
      
=================
Changes in 0.10.3
=================

Braille:
    * Added support for Pronto and Eco braille devices.

Presentation:
    * Improved presentation for watched objects. If speech is off, the 
    events for watched objects are presented only to the magnifier. If speech 
    and magnifier are off, the events are presented only to braille.
    * Added "Window" key to be presented as modifier and "Menu" key to be
    presented as cursor.
    * Improved presentation for magnifier when it's tracking the caret 
    in focus tracking auto mode.

=================
Changes in 0.10.2
=================

Speech:
    * Better reporting when switching desktops.

=================
Changes in 0.10.1
=================

Speech:
    * Better reporting for navigation word-by-word.

Presentation:
    * Improved presentation for tables.


=================
Changes in 0.10.0
=================

Braille:
    * Gnopernicus now supports Eco braille devices thanks to 
      Juan Ramon Jimenez Garcia <jjig@once.es>.

Speech:
    * A better presentation for window rename events.

=================
Changes in 0.9.11
=================

Translation:
    * Added Russian, Turkish, Traditional Chinese translations.

=================
Changes in 0.9.10
=================

Miscelaneous:
    * Improved the reporting of a warning message when the cursor position 
      on brlmon is greater then brlmon size.
    * Improved reportng for word-by-word navigation.
    
Translation:
    * Added Norwegian Bokmal and Tamil translations .

Speech:
    * Modify to report the correct range for speech parameters.

Presentation:
    * Inform the user that there is a "empty line" in case of blank lines.

================
Changes in 0.9.9
================

Miscelaneous:
    * Install brlmon in libexec, not in bin directory.
    
Translation:
    * Add bengali translation.
    * Update Korean, Japanese, Portuguese, Serbian, Simplified Chinese, Polish,
    Canadian English, Danish, Spanish, Dutch.

Presentation:
    * Inform user when the moves to another group (when context has 
       been changed).

================
Changes in 0.9.8
================

Bug Fixes: 
    * Now handle the 'Separator' key (",") on some non-English
      numeric keypads the same as the "Decimal" key (".") -
      specifically, treat XK_KP_Separator as synonym for XK_KP_Decimal 
      when handling layer commands.

Braille:
    * Added support for scrolling the braille display one whole width
      (rather than just 20 cells) via layer 9 keypad 4 and 6.
      See bugzilla bug #148090.

================
Changes in 0.9.7
================

Presentation:
    * Improve presentation for sliders.
    * Presentation for a watched object is not interrupted anymore by the
       presentation for focus tracking.

Miscelaneous:
    * Generate a beep instead of exiting in case of failure to register a
       listener for an event.

Speech:
    * Change values for rate and pitch for voice from percents to absolute
        values (including minimum and maximum in UI.

Brlmon:
    * Make brlmon to act as a panel (do not let other window to overlap it). 

Magnifier:
    * Make zoom factor x and y floats from int.

================
Changes in 0.9.6
================

Translation:
    * Added slovak language
    * Added bulgarian language.
    * Added improved spanish translation table for braille
    
Magnifier:    
    * Removed some warning messages for panning.

Speech:
    * Better default values for speech.
    
Presentation:
    * Improved a lot of presentations for diferent events and objects.

Miscelaneous:
    * Do not generate mosue events if XEvIE is not present.
    * Improved work with GDM trogh --login option

================
Changes in 0.9.5
================

Speech:
    * Added new text echo mode "none".
    * Report "first/last line" if user is on first/last line in flat review.
    * Do not report role for multi-line-text for speech default presentation
     mode.
    * Improved the response of read whole window command.
    * Report to user "Escape" key.

Braille:
    * Report "first/last line" if user is on first/last line in flat review.

Miscelaneous:
    * Added --login command line option.
    * Added -u command line parameter to start magnifier in upper half of screen

================
Changes in 0.9.4
================

Miscelaneous:
    * Improved behaviour of gnopernicus with gdm.

================
Changes in 0.9.3
================

Speech:
    * Changed to report Backspace and Delete keys with 'Say all modifiers' 
      option enabled.

Miscelaneous:
    
    * Added a presentation for "object:tab-added", "object:tab-removed" events
      for tabs.
    * Removed Ctrl+Shift+Alt+S key combination.
      "Describe my surroundings" command is no longer mapped to this key
      combination.  
    
Magnifier:
    * Allow magnifier to be large as the display size.
      
Braille Monitor:
    * Braille monitor will not display text in "BRAILLE" or "DUAL" Mode Type
      anymore.
    * Removed all things related to braille font.  

GUI:
    * Changed a label text in the magnifier preferences from 
      "Cursor magnification" to "Set cursor separate from magnification".
    * In the Braille Monitor preferences the "DUAL" and "BRAILLE" Mode Type 
      options were grayed out. They wont be used for the moment.
    * In the speech preferences "Say all cursors" option was renamed as 
      "Say all navigation keys".


================
Changes in 0.9.2
================

Miscellanous:
    * Added a new configure option "--enable-magnifier" used for gnopernicus
      to be compiled with or without magnifier support.
    * Changed the reporting for events with the same timestamp value.

================
Changes in 0.9.1
================

Miscellanous:
    * Do not report window events for popup menus.
    * Convert caret-moved events into focus events only if the object has
      a focused ancestor.

GUI:
    * Real support for mouse and focus traking modes in other language, the
      change of the current option will take effect now).
    * Fix some broken help pages.

Magnifier:
    * Allow magnifier to magnify a region of interest that intersect magnifier 
      region if they belong to different screen (source and target differ).

UI:
    * "describe my surroundings" will not present names of current window and
      application.
    * "window hierarchy flat" is now called "read whole window".
    * Object roles are now translated.

Translation:
    * Update Canadian English, Czech, British English, Polish, Catalan, Dutch.

================
Changes in 0.9.0
================

GUI:
    * Crosshair color inversion made clearer by graying the 'Cross-hair color'
      button when 'Cross-hair color inverted' checkbox is checked.
    * Changed some keyboard accelerators.
    
UI:
    * A better presentation for tables  : added two new presentation items.
    
Braille:
    * Added suport for some more braille devices.
    
Magnifier:
    * Changed required version of gnome-mag to 0.11.0.
    * Added support to specify target.

Translation:
    * Add Gujarati language.

================
Changes in 0.8.1
================

Translation:
    * Update Basque, Arabic, Greek, Welsh and British translations.

================
Changes in 0.8.0
================

Translation:
    * Update translations for Ukrainian, German, Arabic, Italian, Mongolian,
      Greek, Canadian English.

================
Changes in 0.7.6
================

Miscellanous    
    * Report caret-moved events for non-focused objects.

UI:
    * Notify user when he moves to a new table.

================
Changes in 0.7.5
================

Miscellanous    
    * Filter events for watched object.

UI:
    * add a function to unwatch all watched objects.
    * better presentation for tables.

================
Changes in 0.7.4
================
Presentation
    * Store presentation items in XML files, not not in gconf keys.

UI
    * Map shutup function on control-left key.

================
Changes in 0.7.3
================
Braille
    *  Support for devices created by HandyTech.

UI
    * Possibility to add a watch a specified object (to receive all event for
    that object).

GUI
    * Add option to permite a crosswire on without a cursor when the 
    magnifier is active.
    * Presentation is now a collection of predefined profiles.
    
Miscellanous    
    * Made non-case sensitive a braille device command line value.
    
================
Changes in 0.7.2
================

Magnifier:
    * Make sure that the coordinates are set ok in case of a change of 
      resolution.
    * Zoomer's coordinates are from (0,0) to (x-display-size - 1,y-display-size - 1) 
      (not from (1,1) to (x-display-size, y-display-size) as before)

================
Changes in 0.7.1
================

Braille
    * Brltty driver: unbound keys no longer send unpredictible values 
    * Brltty driver: input commands are now passed on to BRLTTY until a better
    way is found
    * Fixed distribution issues (related to brltty's driver-files).

Miscellanous    
    * Added checking for existence of translation tables.
    * Report selected object for window, workspace switch.

Translations
    * az (Mətin Əmirov), da (Ole Laursen), fr (Julien PUYDT),
      ja (KAMAGASAKO Masatoshi), ko (Changwoo Ryu), sr (Данило Шеган),
      zh_CN (Liu Songhe)

================
Changes in 0.7
================

Miscellanous    

    * remove the script "gnopenicus" (used to launch "gnopernicus.bin"). Create
    "gnopernicus" as binary file.
    * avoid to iterate all children for objects with MANAGES_DESCENDANTS state
    * use global listener for numpad keys, that to work the command layers under 
    Solaris and java applications.
    
Translations    

    * az (Mətin Əmirov), be (Ales Nyakhaychyk), cy (Dafydd Harries),
     da (Ole Laursen), el (Nikos Charonitakis), es (Francisco Javier F. Serrador), 
     fr (Laurent RICHARD), it (Davide Patti), ko (Changwoo Ryu), nl (Tino Meinen), 
     no (Kjartan Maraas), pl (Gnome PL Team), pt (Duarte Loreto)


================
Changes in 0.3.6
================

GUI
    
    * changed "Copyright" text, more people in the "Thanks" section.
    * synchronization between the gnopi and srcore at init time.
    * more command line parameters for UI and srcore (enable/disable braille,
    speech, magnifier, braille monitor services)
    * report the new introduced (by mozilla) "hyper link" role

Speech    

    * fixed speech settings
    * fixed support for UTF8 strings in the speech module

Magnifier

    * fixed magnifier's bad behaviour for mouse tracking
    
Miscellanous    

    * gnopernicus screen reader is always accessible (no matter what the 
    accessibility key is). Introduced gnopernicus script for this and changed
    the name of the formal 'gnopernicus' binary into 'gnopernicus.bin'.
    User will use 'gnopernicus' script for launching the screen reader.
    * portability assured for FreeBSD
    * fixed distribution for magnifier and braille
    
Translations    

    * new languages added : be, hi, ko( belarusian, hindi, korean)
    * updated german, swedish, czech, polish, portuguese, brazilian portuguese,
     dutch, serbian, malai, spanish, irish translations.
    
================    
Changes in 0.3.5
================

    * changed icon for gnopernicus
    * changed UI to comply with HIG 
    
    * changed the entire algorithm  to manage events from at-spi. This should
    increase speed in responding to user actions.
    * changed presentation string for push button to report if it is/isn't 
    available
    * changed presentation of tables, table cells
    * report new focused object after exiting flat-review mode
    * report object's role in flat-review mode if the positional or optical 
    sensors of the braille device are pressed
    * in screen-review (flat review) mode present number of empty lines if 
    this is set in the UI
    * in screen-review (flat review) mode present first the line containg the 
    focused object
    * for screen-review (flat review) added commands on layer 0 to go to the first 
    line, last line, line containg focused object.
    * removed memory link that occured at exit time if the user would have been
    still in flat-review
    
    * braille monitor is now a panel
    * added support for INKA braille device
    * updated BRLTTY driver so the user does not need to set the virtual terminal
    where X is running. 
    * improved speech (gnopernicus now depends on gnome-speech 0.2.4)

    * removed linc dependency

    * changed lots of messages not to use slang and be more explicit
    * new languages added :pl, pt, pt_BR, nl, sr, ms, es, ga (polish, portuguese, 
    brazilian portuguese, dutch, serbian, malai, spanish, irish).
    * updated german, swedish, czech translations.

================
Changes in 0.3.4
================

    * added a sample icon for gnopernicus
    * changed the desktop entry to 
	Applications->Accessibility->Screen Reader and Magnifier
    * removed UI that had no support behind it.
    * added missing relations in gnopernicus' UI.

    * fixed crash that appeared due to the logging mechanism
    
    * added support for BRLTTY 

    * fixes to distribution mechanism

    * new languages added : de, sv, cs (german, swedish, czech).


================
Changes in 0.3.3
================

    * GUI enhacement for speech : 
	- added support for changing the driver 
	- added support to modify all voices from a driver
	- added support to modify parameters as absolute and relative values
    * Added better support (and messages for user) for voices that do NOT 
	support speech markers.
    * Braille-font installation supported (bugs here are solved).
    * Added support for logging events.

================
Changes in 0.3.2
================

    * GUI enhacement (added redundency with key commands in GUI, for modiding 
	parameters for all voices).
    * correct memory leakes introduced when a patch for bug 108089 was applied.
    * correct crash generated by the lack of rights for the serial port. 
	Now gnopernicus fails "gracefully" to use braille service in such cases.
		    
================
Changes in 0.3.1
================

    * "release" on ftp://ftp.gnome.org/pub/gnome/sources/gnopernicus
    * magnifier panning supported for objects that implement 
	AccessibleText interface (text, push-buttons etc).


================
Changes in 0.0.2
================

    * GUI for magnifier is working
	( For zoom factor and zoomer placement you can see actual changes.
	  For the rest, there is no support in gnome-mag)
    * magnifier is available in an early stage.
    * srconf code is available. gnopi works with srconf.
    * both speech and braille are avaible in srcore.(see ChangeLog)

================
Changes in 0.0.1
================

    * kbd_mouse code now available.
    * speech code is now available.
    

